com.microfocus.awm.meta.interfaces

## Interface RToolInParameter

- All Superinterfaces:
    AWMObject, DynamicObject, org.eclipse.emf.ecore.EObject, IFunctionPackageDefinable, org.eclipse.emf.common.notify.Notifier, RToolParameter
  All Known Implementing Classes:
    RToolInParameterImpl, RToolInParameterUnresolved

      public interface RToolInParameter
      extends RToolParameter

  This relationship describes exactly one input parameter of a tool.

  The following features are supported:

  - `Default Value`
  - `Parameter From`
  - `Static Value`
  - `Parameter Visible Condition`
  - `Parameter Enabled Condition`
  - `Ui Editable`
  - `Ui Form`
  - `Ui Generic Allowed`
  - `Ui Help Text`
  - `Ui Mandatory`
  - `Ui Multi Selection`
  - `Ui Tab`
  - `Ui Tool Tip`
  See Also:
    `TaurusPackage.getRToolInParameter()`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getDefaultValue()` Returns the value of the 'Default Value' attribute.
    `java.lang.String` | `getLabelFromHierarchy()` Returns the Label or the Name, if the Label wasn't set.
    `REnabledCondition` | `getParameterEnabledCondition()` Returns the value of the 'Parameter Enabled Condition' containment reference.
    `EParmFromTypes` | `getParameterFrom()` Returns the value of the 'Parameter From' attribute.
    `RVisibleCondition` | `getParameterVisibleCondition()` Returns the value of the 'Parameter Visible Condition' containment reference.
    `java.lang.String` | `getStaticValue()` Returns the value of the 'Static Value' attribute.
    `java.lang.String` | `getUiForm()` Returns the value of the 'Ui Form' attribute.
    `java.lang.String` | `getUiHelpText()` Returns the value of the 'Ui Help Text' attribute.
    `java.lang.String` | `getUiTab()` Returns the value of the 'Ui Tab' attribute.
    `java.lang.String` | `getUiToolTip()` Returns the value of the 'Ui Tool Tip' attribute.
    `boolean` | `isRemoved()` Gets whether the `REMOVE` flag is set.
    `boolean` | `isSetParameterFrom()` Returns whether the value of the '`Parameter From`' attribute is set.
    `boolean` | `isSetUiEditable()` Returns whether the value of the '`Ui Editable`' attribute is set.
    `boolean` | `isSetUiGenericAllowed()` Returns whether the value of the '`Ui Generic Allowed`' attribute is set.
    `boolean` | `isSetUiMandatory()` Returns whether the value of the '`Ui Mandatory`' attribute is set.
    `boolean` | `isSetUiMultiSelection()` Returns whether the value of the '`Ui Multi Selection`' attribute is set.
    `boolean` | `isUiEditable()` Returns the value of the 'Ui Editable' attribute.
    `boolean` | `isUiGenericAllowed()` Returns the value of the 'Ui Generic Allowed' attribute.
    `boolean` | `isUiMandatory()` Returns the value of the 'Ui Mandatory' attribute.
    `boolean` | `isUiMultiSelection()` Returns the value of the 'Ui Multi Selection' attribute.
    `void` | `setDefaultValue(java.lang.String value)` Sets the value of the '`Default Value`' attribute.
    `void` | `setParameterEnabledCondition(REnabledCondition value)` Sets the value of the '`Parameter Enabled Condition`' containment reference.
    `void` | `setParameterFrom(EParmFromTypes value)` Sets the value of the '`Parameter From`' attribute.
    `void` | `setParameterVisibleCondition(RVisibleCondition value)` Sets the value of the '`Parameter Visible Condition`' containment reference.
    `void` | `setRemoveParm(boolean pRemove)` Sets the `REMOVE` flag of the parameter.
    `void` | `setStaticValue(java.lang.String value)` Sets the value of the '`Static Value`' attribute.
    `void` | `setUiEditable(boolean value)` Sets the value of the '`Ui Editable`' attribute.
    `void` | `setUiForm(java.lang.String value)` Sets the value of the '`Ui Form`' attribute.
    `void` | `setUiGenericAllowed(boolean value)` Sets the value of the '`Ui Generic Allowed`' attribute.
    `void` | `setUiHelpText(java.lang.String value)` Sets the value of the '`Ui Help Text`' attribute.
    `void` | `setUiMandatory(boolean value)` Sets the value of the '`Ui Mandatory`' attribute.
    `void` | `setUiMultiSelection(boolean value)` Sets the value of the '`Ui Multi Selection`' attribute.
    `void` | `setUiTab(java.lang.String value)` Sets the value of the '`Ui Tab`' attribute.
    `void` | `setUiToolTip(java.lang.String value)` Sets the value of the '`Ui Tool Tip`' attribute.
    `void` | `unsetParameterFrom()` Unsets the value of the '`Parameter From`' attribute.
    `void` | `unsetUiEditable()` Unsets the value of the '`Ui Editable`' attribute.
    `void` | `unsetUiGenericAllowed()` Unsets the value of the '`Ui Generic Allowed`' attribute.
    `void` | `unsetUiMandatory()` Unsets the value of the '`Ui Mandatory`' attribute.
    `void` | `unsetUiMultiSelection()` Unsets the value of the '`Ui Multi Selection`' attribute.

    - ### Methods inherited from interface com.microfocus.awm.meta.interfaces.RToolParameter

      `getComplexAttribute, getLabel, getParsedCategory, getSeqNo, getTargetIDFile, getTargetIDParm, getType, getUiCategory, isMassProcessing, isSetSeqNo, isSetType, isSetUiResizable, isUiResizable, setLabel, setMassProcessing, setSeqNo, setTargetIDFile, setTargetIDParm, setType, setUiCategory, setUiResizable, unsetSeqNo, unsetType, unsetUiResizable`

    - ### Methods inherited from interface com.microfocus.awm.meta.interfaces.DynamicObject

      `getComplexAttributes, getDynamicAttributes, getDynamicValue, setDynamicValue`

    - ### Methods inherited from interface com.microfocus.awm.meta.interfaces.AWMObject

      `getComment, isSetComment, setComment, unsetComment`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

    - ### Methods inherited from interface com.microfocus.awm.meta.interfaces.IFunctionPackageDefinable

      `getExtensionID, setExtensionID`

- - ### Method Detail

    - #### getDefaultValue

          java.lang.String getDefaultValue()

      Returns the value of the 'Default Value' attribute.
      The standard value of the parameter. This value is only used if no other property value can be found for the referenced property.
      Has no meaning for file parameters.
      Initializes a field in an Input dialog box.
      Returns:
        the value of the 'Default Value' attribute.
      See Also:
        `setDefaultValue(String)`, `TaurusPackage.getRToolInParameter_DefaultValue()`

    - #### setDefaultValue

          void setDefaultValue(java.lang.String value)

      Sets the value of the '`Default Value`' attribute.
      Parameters:
        `value` - the new value of the 'Default Value' attribute.
      See Also:
        `getDefaultValue()`

    - #### getLabelFromHierarchy

          java.lang.String getLabelFromHierarchy()

      Returns the Label or the Name, if the Label wasn't set.
      Returns:
        the parameter label

    - #### getParameterFrom

          EParmFromTypes getParameterFrom()

      Returns the value of the 'Parameter From' attribute. The default value is `"Context"`. The literals are from the enumeration `EParmFromTypes`.
      Determines from where the property value of the parameter property should be obtained.
      Valid values include:
    - Context (default)
    - Previous_Tool
    - User_Input

Returns:
  the value of the 'Parameter From' attribute.
See Also:
  `EParmFromTypes`, `isSetParameterFrom()`, `unsetParameterFrom()`, `setParameterFrom(EParmFromTypes)`, `TaurusPackage.getRToolInParameter_ParameterFrom()`

- #### setParameterFrom

      void setParameterFrom(EParmFromTypes value)

  Sets the value of the '`Parameter From`' attribute.
  Parameters:
    `value` - the new value of the 'Parameter From' attribute.
  See Also:
    `EParmFromTypes`, `isSetParameterFrom()`, `unsetParameterFrom()`, `getParameterFrom()`

- #### unsetParameterFrom

      void unsetParameterFrom()

  Unsets the value of the '`Parameter From`' attribute.
  See Also:
    `isSetParameterFrom()`, `getParameterFrom()`, `setParameterFrom(EParmFromTypes)`

- #### isSetParameterFrom

      boolean isSetParameterFrom()

  Returns whether the value of the '`Parameter From`' attribute is set.
  Returns:
    whether the value of the 'Parameter From' attribute is set.
  See Also:
    `unsetParameterFrom()`, `getParameterFrom()`, `setParameterFrom(EParmFromTypes)`

- #### getStaticValue

      java.lang.String getStaticValue()

  Returns the value of the 'Static Value' attribute.
  Sets a fixed value for the parameter. This can only be overwritten via parameter override. See `RActionParmOverride` for more information.
  Returns:
    the value of the 'Static Value' attribute.
  See Also:
    `setStaticValue(String)`, `TaurusPackage.getRToolInParameter_StaticValue()`

- #### setStaticValue

      void setStaticValue(java.lang.String value)

  Sets the value of the '`Static Value`' attribute.
  Parameters:
    `value` - the new value of the 'Static Value' attribute.
  See Also:
    `getStaticValue()`

- #### getParameterVisibleCondition

      RVisibleCondition getParameterVisibleCondition()

  Returns the value of the 'Parameter Visible Condition' containment reference. Relationship to a parameter visible condition which allows you to define the conditions which are checked at run time. This condition must be true to display this input parameter in a modeled input dialog. This visible condition is not relevant for other tools.
  Returns:
    the value of the 'Parameter Visible Condition' containment reference.
  See Also:
    `setParameterVisibleCondition(RVisibleCondition)`, `TaurusPackage.getRToolInParameter_ParameterVisibleCondition()`

- #### setParameterVisibleCondition

      void setParameterVisibleCondition(RVisibleCondition value)

  Sets the value of the '`Parameter Visible Condition`' containment reference.
  Parameters:
    `value` - the new value of the 'Parameter Visible Condition' containment reference.
  See Also:
    `getParameterVisibleCondition()`

- #### getParameterEnabledCondition

      REnabledCondition getParameterEnabledCondition()

  Returns the value of the 'Parameter Enabled Condition' containment reference. Relationship to a parameter enabled condition which allows you to define the conditions which are checked at run time. This condition must be true to display this input parameter in a modeled input dialog. This enabled condition is not relevant for other tools.
  Returns:
    the value of the 'Parameter Enabled Condition' containment reference.
  See Also:
    `setParameterEnabledCondition(REnabledCondition)`, `TaurusPackage.getRToolInParameter_ParameterEnabledCondition()`

- #### setParameterEnabledCondition

      void setParameterEnabledCondition(REnabledCondition value)

  Sets the value of the '`Parameter Enabled Condition`' containment reference.
  Parameters:
    `value` - the new value of the 'Parameter Enabled Condition' containment reference.
  See Also:
    `getParameterEnabledCondition()`

- #### isUiEditable

      boolean isUiEditable()

  Returns the value of the 'Ui Editable' attribute. The default value is `"true"`.
  Indicates whether the parameter can be edited in input dialog boxes.
  The default value is true.
  Returns:
    the value of the 'Ui Editable' attribute.
  See Also:
    `isSetUiEditable()`, `unsetUiEditable()`, `setUiEditable(boolean)`, `TaurusPackage.getRToolInParameter_UiEditable()`

- #### setUiEditable

      void setUiEditable(boolean value)

  Sets the value of the '`Ui Editable`' attribute.
  Parameters:
    `value` - the new value of the 'Ui Editable' attribute.
  See Also:
    `isSetUiEditable()`, `unsetUiEditable()`, `isUiEditable()`

- #### unsetUiEditable

      void unsetUiEditable()

  Unsets the value of the '`Ui Editable`' attribute.
  See Also:
    `isSetUiEditable()`, `isUiEditable()`, `setUiEditable(boolean)`

- #### isSetUiEditable

      boolean isSetUiEditable()

  Returns whether the value of the '`Ui Editable`' attribute is set.
  Returns:
    whether the value of the 'Ui Editable' attribute is set.
  See Also:
    `unsetUiEditable()`, `isUiEditable()`, `setUiEditable(boolean)`

- #### getUiForm

      java.lang.String getUiForm()

  Returns the value of the 'Ui Form' attribute.
  Specifies formatting information for the field in Input dialog boxes.
  Valid values include: BOLD, HIDDEN, RED, GREEN, YELLOW, BLUE, GRAY
  Returns:
    the value of the 'Ui Form' attribute.
  See Also:
    `setUiForm(String)`, `TaurusPackage.getRToolInParameter_UiForm()`

- #### setUiForm

      void setUiForm(java.lang.String value)

  Sets the value of the '`Ui Form`' attribute.
  Parameters:
    `value` - the new value of the 'Ui Form' attribute.
  See Also:
    `getUiForm()`

- #### isUiGenericAllowed

      boolean isUiGenericAllowed()

  Returns the value of the 'Ui Generic Allowed' attribute. The default value is `"false"`.
  Indicates whether wildcard characters are permitted as user input. If false, the Input dialog box cannot be confirmed if wildcard characters are present in the input field.
  The default value is false.
  Returns:
    the value of the 'Ui Generic Allowed' attribute.
  See Also:
    `isSetUiGenericAllowed()`, `unsetUiGenericAllowed()`, `setUiGenericAllowed(boolean)`, `TaurusPackage.getRToolInParameter_UiGenericAllowed()`

- #### setUiGenericAllowed

      void setUiGenericAllowed(boolean value)

  Sets the value of the '`Ui Generic Allowed`' attribute.
  Parameters:
    `value` - the new value of the 'Ui Generic Allowed' attribute.
  See Also:
    `isSetUiGenericAllowed()`, `unsetUiGenericAllowed()`, `isUiGenericAllowed()`

- #### unsetUiGenericAllowed

      void unsetUiGenericAllowed()

  Unsets the value of the '`Ui Generic Allowed`' attribute.
  See Also:
    `isSetUiGenericAllowed()`, `isUiGenericAllowed()`, `setUiGenericAllowed(boolean)`

- #### isSetUiGenericAllowed

      boolean isSetUiGenericAllowed()

  Returns whether the value of the '`Ui Generic Allowed`' attribute is set.
  Returns:
    whether the value of the 'Ui Generic Allowed' attribute is set.
  See Also:
    `unsetUiGenericAllowed()`, `isUiGenericAllowed()`, `setUiGenericAllowed(boolean)`

- #### getUiHelpText

      java.lang.String getUiHelpText()

  Returns the value of the 'Ui Help Text' attribute.
  Specifies help text for the field in input dialog boxes which is displayed when the question mark button beside the field is clicked or the F1 key is clicked in the field.
  Returns:
    the value of the 'Ui Help Text' attribute.
  See Also:
    `setUiHelpText(String)`, `TaurusPackage.getRToolInParameter_UiHelpText()`

- #### setUiHelpText

      void setUiHelpText(java.lang.String value)

  Sets the value of the '`Ui Help Text`' attribute.
  Parameters:
    `value` - the new value of the 'Ui Help Text' attribute.
  See Also:
    `getUiHelpText()`

- #### isUiMandatory

      boolean isUiMandatory()

  Returns the value of the 'Ui Mandatory' attribute. The default value is `"true"`.
  Indicates whether the field is mandatory in input dialog boxes. If true, the dialog box cannot be confirmed when the field contains no values.

  Mandatory fields are marked with an asterisk *. The default value is `true`.

  Returns:
    the value of the 'Ui Mandatory' attribute.
  See Also:
    `isSetUiMandatory()`, `unsetUiMandatory()`, `setUiMandatory(boolean)`, `TaurusPackage.getRToolInParameter_UiMandatory()`

- #### setUiMandatory

      void setUiMandatory(boolean value)

  Sets the value of the '`Ui Mandatory`' attribute.
  Parameters:
    `value` - the new value of the 'Ui Mandatory' attribute.
  See Also:
    `isSetUiMandatory()`, `unsetUiMandatory()`, `isUiMandatory()`

- #### unsetUiMandatory

      void unsetUiMandatory()

  Unsets the value of the '`Ui Mandatory`' attribute.
  See Also:
    `isSetUiMandatory()`, `isUiMandatory()`, `setUiMandatory(boolean)`

- #### isSetUiMandatory

      boolean isSetUiMandatory()

  Returns whether the value of the '`Ui Mandatory`' attribute is set.
  Returns:
    whether the value of the 'Ui Mandatory' attribute is set.
  See Also:
    `unsetUiMandatory()`, `isUiMandatory()`, `setUiMandatory(boolean)`

- #### isUiMultiSelection

      boolean isUiMultiSelection()

  Returns the value of the 'Ui Multi Selection' attribute.
  Specifies whether multiple items can be selected. For structured file input parameters only. If set to `true`, a check box table will be created.

  The default value is `false`.

  Returns:
    the value of the 'Ui Multi Selection' attribute.
  See Also:
    `isSetUiMultiSelection()`, `unsetUiMultiSelection()`, `setUiMultiSelection(boolean)`, `TaurusPackage.getRToolInParameter_UiMultiSelection()`

- #### setUiMultiSelection

      void setUiMultiSelection(boolean value)

  Sets the value of the '`Ui Multi Selection`' attribute.
  Parameters:
    `value` - the new value of the 'Ui Multi Selection' attribute.
  See Also:
    `isSetUiMultiSelection()`, `unsetUiMultiSelection()`, `isUiMultiSelection()`

- #### unsetUiMultiSelection

      void unsetUiMultiSelection()

  Unsets the value of the '`Ui Multi Selection`' attribute.
  See Also:
    `isSetUiMultiSelection()`, `isUiMultiSelection()`, `setUiMultiSelection(boolean)`

- #### isSetUiMultiSelection

      boolean isSetUiMultiSelection()

  Returns whether the value of the '`Ui Multi Selection`' attribute is set.
  Returns:
    whether the value of the 'Ui Multi Selection' attribute is set.
  See Also:
    `unsetUiMultiSelection()`, `isUiMultiSelection()`, `setUiMultiSelection(boolean)`

- #### getUiTab

      java.lang.String getUiTab()

  Returns the value of the 'Ui Tab' attribute.
  Allows the assignment of parameters to tabs. Tabs are individual dialog pages which are activated by clicking the tab label at the top of the dialog. Successive parameters with the same tab are displayed in the same tab page. This works only for Input dialog boxes.
  Returns:
    the value of the 'Ui Tab' attribute.
  See Also:
    `setUiTab(String)`, `TaurusPackage.getRToolInParameter_UiTab()`

- #### setUiTab

      void setUiTab(java.lang.String value)

  Sets the value of the '`Ui Tab`' attribute.
  Parameters:
    `value` - the new value of the 'Ui Tab' attribute.
  See Also:
    `getUiTab()`

- #### getUiToolTip

      java.lang.String getUiToolTip()

  Returns the value of the 'Ui Tool Tip' attribute.
  Specifies a tool tip for the field in input dialog boxes.
  Returns:
    the value of the 'Ui Tool Tip' attribute.
  See Also:
    `setUiToolTip(String)`, `TaurusPackage.getRToolInParameter_UiToolTip()`

- #### setUiToolTip

      void setUiToolTip(java.lang.String value)

  Sets the value of the '`Ui Tool Tip`' attribute.
  Parameters:
    `value` - the new value of the 'Ui Tool Tip' attribute.
  See Also:
    `getUiToolTip()`

- #### setRemoveParm

      void setRemoveParm(boolean pRemove)

  Sets the `REMOVE` flag of the parameter. Parameters with the remove flag set to `true` will be handled differently by corresponding tools, usually causing the parameter value to be empty.
  Parameters:
    `pRemove` - the new `REMOVE` flag
  See Also:
    `isRemoved()`

- #### isRemoved

      boolean isRemoved()

  Gets whether the `REMOVE` flag is set. Parameters with the remove flag set to `true` will be handled differently by corresponding tools, usually causing the parameter value to be empty.
  Returns:
    the `REMOVE` flag.
  See Also:
    `setRemoveParm(boolean)`

Copyright © 2015 Micro Focus GmbH. All rights reserved.